Contains 3 versions of the same project built a few months apart.

Running Ver 3 of the project will spawn some algae(*) and amoeba(&) cells. Each
update they will move. algae will photosythesize and amoeba will eat the algae.
They both multiply after reaching an energy cap.

Version 1 is broken and poorly coded
Version 2 is better and runs with algae but is not suitable for adding different
cell varieties.
Version 3 uses an array of pointers to solve the problem and now can be iterated
on with more varieties. Includes amoebas and alage but currently has a memory leak.